Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.mtg
Class MTGBranchElement

    java.lang.Object
      de.grogra.mtg.MTGBranchElement

    public class MTGBranchElement

extends java.lang.Object

Constructor Summary
`MTGBranchElement(int _nodeIndex)`

Method Summary
`double` | `getAlpha()`
`double` | `getBeta()`
`double` | `getBotDia()`
`Point3d[]` | `getBotSurface(MTGBranchElement nextElement)`
`Vector3d` | `getDirp()`
`Vector3d` | `getDirs()`
`Vector3d` | `getDirt()`
`double` | `getGamma()`
`double` | `getLength()`
`int` | `getNodeIndex()`
`int` | `getNumOfSurfacePoints()`
`int` | `getOrder()`
`Vector3d` | `getOrigin()`
`double` | `getTopDia()`
`Point3d[]` | `getTopSurface(MTGBranchElement nextElement)`
`void` | `setAlpha(double alpha)`
`void` | `setBeta(double beta)`
`void` | `setBotDia(double botdia)`
`void` | `setDirp(Vector3d _dirp)`
`void` | `setDirs(Vector3d _dirs)`
`void` | `setGamma(double gamma)`
`void` | `setLength(double length)`
`void` | `setOrder(int order)`
`void` | `setOrigin(Vector3d _origin)`
`void` | `setTopDia(double topdia)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MTGBranchElement

    public MTGBranchElement(int _nodeIndex)

Method Detail

### getAlpha

    public double getAlpha()

### getBeta

    public double getBeta()

### getBotDia

    public double getBotDia()

### getBotSurface

    public Point3d[] getBotSurface(MTGBranchElement nextElement)

### getDirp

    public Vector3d getDirp()

### getDirs

    public Vector3d getDirs()

### getDirt

    public Vector3d getDirt()

### getGamma

    public double getGamma()

### getLength

    public double getLength()

### getNodeIndex

    public int getNodeIndex()

### getNumOfSurfacePoints

    public int getNumOfSurfacePoints()

### getOrder

    public int getOrder()

### getOrigin

    public Vector3d getOrigin()

### getTopDia

    public double getTopDia()

### getTopSurface

    public Point3d[] getTopSurface(MTGBranchElement nextElement)

### setAlpha

    public void setAlpha(double alpha)

### setBeta

    public void setBeta(double beta)

### setBotDia

    public void setBotDia(double botdia)

### setDirp

    public void setDirp(Vector3d _dirp)

### setDirs

    public void setDirs(Vector3d _dirs)

### setGamma

    public void setGamma(double gamma)

### setLength

    public void setLength(double length)

### setOrder

    public void setOrder(int order)

### setOrigin

    public void setOrigin(Vector3d _origin)

### setTopDia

    public void setTopDia(double topdia)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD